centos7安装 gcc编译环境 出现error:软件包:glibc-headers-2.17-222.el7.x86_64

centos7安装 gcc编译环境 出现error:软件包:glibc-headers-2.17-222.el7.x86_64

  • 最近更新2022年06月13日

Centos 7 安装gcc或更新系统库出现如下错误:

Error: Package: glibc-headers-2.17-326.el7_9.x86_64 (updates)
Requires: kernel-headers >= 2.2.1
Error: Package: glibc-headers-2.17-326.el7_9.x86_64 (updates)
Requires: kernel-headers

解决办法:

wget http://vault.centos.org/5.7/os/x86_64/CentOS/kernel-headers-2.6.18-274.el5.x86_64.rpm
rpm -ivh kernel-headers-2.6.18-274.el5.x86_64.rpm

 

分享到 :

发表评论

您的电子邮箱地址不会被公开。